h, w = input().split()
h, w = int(h), int(w)
sl = 0
su = h * w
ost = 0
while su >= 1:
    su //= 2
    sl += 1
    if su % 2 == 1 and su != 1:
        ost = h * w - ((su // 2 + 1) * sl)
print(h * w * int(sl) + ost)